Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.portal.jsp.taglib
Class PortalSimpleTagSupport

    java.lang.Object
      javax.servlet.jsp.tagext.SimpleTagSupport
          org.jboss.portal.portlet.portal.jsp.taglib.PortalSimpleTagSupport

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.SimpleTag

Direct Known Subclasses:
  HeadersTag, PageParamTag, ParamTag, PortletMarkupTag, PortletTitleTag

    public class PortalSimpleTagSupport

extends javax.servlet.jsp.tagext.SimpleTagSupport

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`PortalSimpleTagSupport()`
`PortalSimpleTagSupport(boolean pageScoped)`

Method Summary
`void` | `doTag()`
`void` | `doTag(PortalPrepareResponse prepareResponse)`
`void` | `doTag(PortalRenderResponse renderResponse)`
`protected boolean` | `isActive()`
`boolean` | `isPageScoped()`

Methods inherited from class javax.servlet.jsp.tagext.SimpleTagSupport
`findAncestorWithClass, getJspBody, getJspContext, getParent, setJspBody, setJspContext, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalSimpleTagSupport

    public PortalSimpleTagSupport()

### PortalSimpleTagSupport

    public PortalSimpleTagSupport(boolean pageScoped)

Method Detail

### isPageScoped

    public boolean isPageScoped()

### isActive

    protected final boolean isActive()

### doTag

    public final void doTag()
                     throws javax.servlet.jsp.JspException,
                            java.io.IOException

  Specified by:
    `doTag` in interface `javax.servlet.jsp.tagext.SimpleTag`
  Overrides:
    `doTag` in class `javax.servlet.jsp.tagext.SimpleTagSupport`
  Throws:
    `javax.servlet.jsp.JspException`
    `java.io.IOException`

### doTag

    public void doTag(PortalPrepareResponse prepareResponse)
               throws javax.servlet.jsp.JspException,
                      java.io.IOException

  Throws:
    `javax.servlet.jsp.JspException`
    `java.io.IOException`

### doTag

    public void doTag(PortalRenderResponse renderResponse)
               throws javax.servlet.jsp.JspException,
                      java.io.IOException

  Throws:
    `javax.servlet.jsp.JspException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.